{
 	File:		Clipboard.p
 
 	Contains:	Clipboard Manager Interfaces.
 
 	Version:	Technology:	System 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT Clipboard;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __CLIPBOARD__}
{$SETC __CLIPBOARD__ := 1}

{$I+}
{$SETC ClipboardIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __SCRAP__}
{$I Scrap.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }
{
_________________________________________________________________________________________________________
  ERRORS
_________________________________________________________________________________________________________
}

CONST
	kClipboardEmptyErr			= -1000;
	kClipboardScrapNotFoundErr	= -1001;

{
_________________________________________________________________________________________________________
  PUTTING A SCRAP ON THE CLIPBOARD
_________________________________________________________________________________________________________
}
FUNCTION PutScrapOnClipboard(theScrap: ScrapRef): OSStatus; C;
{
_________________________________________________________________________________________________________
  GETTING A SCRAP FROM THE CLIPBOARD
_________________________________________________________________________________________________________
}
FUNCTION GetScrapFromClipboard(VAR theScrap: ScrapRef): OSStatus; C;
FUNCTION ReleaseClipboardScrap(theScrap: ScrapRef): OSStatus; C;
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := ClipboardIncludes}

{$ENDC} {__CLIPBOARD__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
