{
 	File:		ColorPickerComponents.p
 
 	Contains:	Color Picker Component Interfaces.
 
 	Version:	Technology:	System 7.5
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT ColorPickerComponents;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __COLORPICKERCOMPONENTS__}
{$SETC __COLORPICKERCOMPONENTS__ := 1}

{$I+}
{$SETC ColorPickerComponentsIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __COLORPICKER__}
{$I ColorPicker.p}
{$ENDC}
{$IFC UNDEFINED __COMPONENTS__}
{$I Components.p}
{$ENDC}
{$IFC UNDEFINED __MIXEDMODE__}
{$I MixedMode.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM7_AND_SYSTEM8_COOPERATIVE }

CONST
	kPickerComponentType		= 'cpkr';

	kPickerInit					= 0;
	kPickerTestGraphicsWorld	= 1;
	kPickerGetDialog			= 2;
	kPickerGetItemList			= 3;
	kPickerGetColor				= 4;
	kPickerSetColor				= 5;
	kPickerEvent				= 6;
	kPickerEdit					= 7;
	kPickerSetVisibility		= 8;
	kPickerDisplay				= 9;
	kPickerItemHit				= 10;
	kPickerSetBaseItem			= 11;
	kPickerGetProfile			= 12;
	kPickerSetProfile			= 13;
	kPickerGetPrompt			= 14;
	kPickerSetPrompt			= 15;
	kPickerGetIconData			= 16;
	kPickerGetEditMenuState		= 17;
	kPickerSetOrigin			= 18;
	kPickerExtractHelpItem		= 19;


TYPE
	PickerOpenProcPtr = ProcPtr;  { FUNCTION PickerOpen(storage: LONGINT; self: ComponentInstance): ComponentResult; }

	PickerCloseProcPtr = ProcPtr;  { FUNCTION PickerClose(storage: LONGINT; self: ComponentInstance): ComponentResult; }

	PickerCanDoProcPtr = ProcPtr;  { FUNCTION PickerCanDo(storage: LONGINT; selector: INTEGER): ComponentResult; }

	PickerVersionProcPtr = ProcPtr;  { FUNCTION PickerVersion(storage: LONGINT): ComponentResult; }

	PickerRegisterProcPtr = ProcPtr;  { FUNCTION PickerRegister(storage: LONGINT): ComponentResult; }

	PickerSetTargetProcPtr = ProcPtr;  { FUNCTION PickerSetTarget(storage: LONGINT; topOfCallChain: ComponentInstance): ComponentResult; }

	PickerOpenUPP = UniversalProcPtr;
	PickerCloseUPP = UniversalProcPtr;
	PickerCanDoUPP = UniversalProcPtr;
	PickerVersionUPP = UniversalProcPtr;
	PickerRegisterUPP = UniversalProcPtr;
	PickerSetTargetUPP = UniversalProcPtr;
FUNCTION PickerInit(storage: LONGINT; VAR data: PickerInitData): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0000, $7000, $A82A;
	{$ENDC}

TYPE
	PickerInitProcPtr = ProcPtr;  { FUNCTION PickerInit(storage: LONGINT; VAR data: PickerInitData): ComponentResult; }

FUNCTION PickerTestGraphicsWorld(storage: LONGINT; VAR data: PickerInitData): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0001, $7000, $A82A;
	{$ENDC}

TYPE
	PickerTestGraphicsWorldProcPtr = ProcPtr;  { FUNCTION PickerTestGraphicsWorld(storage: LONGINT; VAR data: PickerInitData): ComponentResult; }

FUNCTION PickerGetDialog(storage: LONGINT): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0000, $0002, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetDialogProcPtr = ProcPtr;  { FUNCTION PickerGetDialog(storage: LONGINT): ComponentResult; }

FUNCTION PickerGetItemList(storage: LONGINT): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0000, $0003, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetItemListProcPtr = ProcPtr;  { FUNCTION PickerGetItemList(storage: LONGINT): ComponentResult; }

FUNCTION PickerGetColor(storage: LONGINT; whichColor: ColorType; color: PMColorPtr): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0006, $0004, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetColorProcPtr = ProcPtr;  { FUNCTION PickerGetColor(storage: LONGINT; whichColor: ColorType; color: PMColorPtr): ComponentResult; }

FUNCTION PickerSetColor(storage: LONGINT; whichColor: ColorType; color: PMColorPtr): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0006, $0005, $7000, $A82A;
	{$ENDC}

TYPE
	PickerSetColorProcPtr = ProcPtr;  { FUNCTION PickerSetColor(storage: LONGINT; whichColor: ColorType; color: PMColorPtr): ComponentResult; }

FUNCTION PickerEvent(storage: LONGINT; VAR data: EventData): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0006, $7000, $A82A;
	{$ENDC}

TYPE
	PickerEventProcPtr = ProcPtr;  { FUNCTION PickerEvent(storage: LONGINT; VAR data: EventData): ComponentResult; }

FUNCTION PickerEdit(storage: LONGINT; VAR data: EditData): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0007, $7000, $A82A;
	{$ENDC}

TYPE
	PickerEditProcPtr = ProcPtr;  { FUNCTION PickerEdit(storage: LONGINT; VAR data: EditData): ComponentResult; }

FUNCTION PickerSetVisibility(storage: LONGINT; visible: BOOLEAN): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0002, $0008, $7000, $A82A;
	{$ENDC}

TYPE
	PickerSetVisibilityProcPtr = ProcPtr;  { FUNCTION PickerSetVisibility(storage: LONGINT; visible: BOOLEAN): ComponentResult; }

FUNCTION PickerDisplay(storage: LONGINT): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0000, $0009, $7000, $A82A;
	{$ENDC}

TYPE
	PickerDisplayProcPtr = ProcPtr;  { FUNCTION PickerDisplay(storage: LONGINT): ComponentResult; }

FUNCTION PickerItemHit(storage: LONGINT; VAR data: ItemHitData): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $000A, $7000, $A82A;
	{$ENDC}

TYPE
	PickerItemHitProcPtr = ProcPtr;  { FUNCTION PickerItemHit(storage: LONGINT; VAR data: ItemHitData): ComponentResult; }

FUNCTION PickerSetBaseItem(storage: LONGINT; baseItem: INTEGER): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0002, $000B, $7000, $A82A;
	{$ENDC}

TYPE
	PickerSetBaseItemProcPtr = ProcPtr;  { FUNCTION PickerSetBaseItem(storage: LONGINT; baseItem: INTEGER): ComponentResult; }

FUNCTION PickerGetProfile(storage: LONGINT): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0000, $000C, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetProfileProcPtr = ProcPtr;  { FUNCTION PickerGetProfile(storage: LONGINT): ComponentResult; }

FUNCTION PickerSetProfile(storage: LONGINT; profile: CMProfileHandle): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $000D, $7000, $A82A;
	{$ENDC}

TYPE
	PickerSetProfileProcPtr = ProcPtr;  { FUNCTION PickerSetProfile(storage: LONGINT; profile: CMProfileHandle): ComponentResult; }

FUNCTION PickerGetPrompt(storage: LONGINT; VAR prompt: Str255): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $000E, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetPromptProcPtr = ProcPtr;  { FUNCTION PickerGetPrompt(storage: LONGINT; VAR prompt: Str255): ComponentResult; }

FUNCTION PickerSetPrompt(storage: LONGINT; prompt: Str255): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $000F, $7000, $A82A;
	{$ENDC}

TYPE
	PickerSetPromptProcPtr = ProcPtr;  { FUNCTION PickerSetPrompt(storage: LONGINT; prompt: Str255): ComponentResult; }

FUNCTION PickerGetIconData(storage: LONGINT; VAR data: PickerIconData): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0010, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetIconDataProcPtr = ProcPtr;  { FUNCTION PickerGetIconData(storage: LONGINT; VAR data: PickerIconData): ComponentResult; }

FUNCTION PickerGetEditMenuState(storage: LONGINT; VAR mState: PickerMenuState): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0011, $7000, $A82A;
	{$ENDC}

TYPE
	PickerGetEditMenuStateProcPtr = ProcPtr;  { FUNCTION PickerGetEditMenuState(storage: LONGINT; VAR mState: PickerMenuState): ComponentResult; }

FUNCTION PickerSetOrigin(storage: LONGINT; where: Point): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0012, $7000, $A82A;
	{$ENDC}

TYPE
	PickerSetOriginProcPtr = ProcPtr;  { FUNCTION PickerSetOrigin(storage: LONGINT; where: Point): ComponentResult; }

	PickerInitUPP = UniversalProcPtr;
	PickerTestGraphicsWorldUPP = UniversalProcPtr;
	PickerGetDialogUPP = UniversalProcPtr;
	PickerGetItemListUPP = UniversalProcPtr;
	PickerGetColorUPP = UniversalProcPtr;
	PickerSetColorUPP = UniversalProcPtr;
	PickerEventUPP = UniversalProcPtr;
	PickerEditUPP = UniversalProcPtr;
	PickerSetVisibilityUPP = UniversalProcPtr;
	PickerDisplayUPP = UniversalProcPtr;
	PickerItemHitUPP = UniversalProcPtr;
	PickerSetBaseItemUPP = UniversalProcPtr;
	PickerGetProfileUPP = UniversalProcPtr;
	PickerSetProfileUPP = UniversalProcPtr;
	PickerGetPromptUPP = UniversalProcPtr;
	PickerSetPromptUPP = UniversalProcPtr;
	PickerGetIconDataUPP = UniversalProcPtr;
	PickerGetEditMenuStateUPP = UniversalProcPtr;
	PickerSetOriginUPP = UniversalProcPtr;

CONST
	uppPickerOpenProcInfo = $000003F0;
	uppPickerCloseProcInfo = $000003F0;
	uppPickerCanDoProcInfo = $000002F0;
	uppPickerVersionProcInfo = $000000F0;
	uppPickerRegisterProcInfo = $000000F0;
	uppPickerSetTargetProcInfo = $000003F0;
	uppPickerInitProcInfo = $000003F0;
	uppPickerTestGraphicsWorldProcInfo = $000003F0;
	uppPickerGetDialogProcInfo = $000000F0;
	uppPickerGetItemListProcInfo = $000000F0;
	uppPickerGetColorProcInfo = $00000EF0;
	uppPickerSetColorProcInfo = $00000EF0;
	uppPickerEventProcInfo = $000003F0;
	uppPickerEditProcInfo = $000003F0;
	uppPickerSetVisibilityProcInfo = $000001F0;
	uppPickerDisplayProcInfo = $000000F0;
	uppPickerItemHitProcInfo = $000003F0;
	uppPickerSetBaseItemProcInfo = $000002F0;
	uppPickerGetProfileProcInfo = $000000F0;
	uppPickerSetProfileProcInfo = $000003F0;
	uppPickerGetPromptProcInfo = $000003F0;
	uppPickerSetPromptProcInfo = $000003F0;
	uppPickerGetIconDataProcInfo = $000003F0;
	uppPickerGetEditMenuStateProcInfo = $000003F0;
	uppPickerSetOriginProcInfo = $000003F0;

FUNCTION NewPickerOpenProc(userRoutine: PickerOpenProcPtr): PickerOpenUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerCloseProc(userRoutine: PickerCloseProcPtr): PickerCloseUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerCanDoProc(userRoutine: PickerCanDoProcPtr): PickerCanDoUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerVersionProc(userRoutine: PickerVersionProcPtr): PickerVersionUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerRegisterProc(userRoutine: PickerRegisterProcPtr): PickerRegisterUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetTargetProc(userRoutine: PickerSetTargetProcPtr): PickerSetTargetUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerInitProc(userRoutine: PickerInitProcPtr): PickerInitUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerTestGraphicsWorldProc(userRoutine: PickerTestGraphicsWorldProcPtr): PickerTestGraphicsWorldUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetDialogProc(userRoutine: PickerGetDialogProcPtr): PickerGetDialogUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetItemListProc(userRoutine: PickerGetItemListProcPtr): PickerGetItemListUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetColorProc(userRoutine: PickerGetColorProcPtr): PickerGetColorUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetColorProc(userRoutine: PickerSetColorProcPtr): PickerSetColorUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerEventProc(userRoutine: PickerEventProcPtr): PickerEventUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerEditProc(userRoutine: PickerEditProcPtr): PickerEditUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetVisibilityProc(userRoutine: PickerSetVisibilityProcPtr): PickerSetVisibilityUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerDisplayProc(userRoutine: PickerDisplayProcPtr): PickerDisplayUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerItemHitProc(userRoutine: PickerItemHitProcPtr): PickerItemHitUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetBaseItemProc(userRoutine: PickerSetBaseItemProcPtr): PickerSetBaseItemUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetProfileProc(userRoutine: PickerGetProfileProcPtr): PickerGetProfileUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetProfileProc(userRoutine: PickerSetProfileProcPtr): PickerSetProfileUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetPromptProc(userRoutine: PickerGetPromptProcPtr): PickerGetPromptUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetPromptProc(userRoutine: PickerSetPromptProcPtr): PickerSetPromptUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetIconDataProc(userRoutine: PickerGetIconDataProcPtr): PickerGetIconDataUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerGetEditMenuStateProc(userRoutine: PickerGetEditMenuStateProcPtr): PickerGetEditMenuStateUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewPickerSetOriginProc(userRoutine: PickerSetOriginProcPtr): PickerSetOriginUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION CallPickerOpenProc(storage: LONGINT; self: ComponentInstance; userRoutine: PickerOpenUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerCloseProc(storage: LONGINT; self: ComponentInstance; userRoutine: PickerCloseUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerCanDoProc(storage: LONGINT; selector: INTEGER; userRoutine: PickerCanDoUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerVersionProc(storage: LONGINT; userRoutine: PickerVersionUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerRegisterProc(storage: LONGINT; userRoutine: PickerRegisterUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetTargetProc(storage: LONGINT; topOfCallChain: ComponentInstance; userRoutine: PickerSetTargetUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerInitProc(storage: LONGINT; VAR data: PickerInitData; userRoutine: PickerInitUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerTestGraphicsWorldProc(storage: LONGINT; VAR data: PickerInitData; userRoutine: PickerTestGraphicsWorldUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetDialogProc(storage: LONGINT; userRoutine: PickerGetDialogUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetItemListProc(storage: LONGINT; userRoutine: PickerGetItemListUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetColorProc(storage: LONGINT; whichColor: ColorType; color: PMColorPtr; userRoutine: PickerGetColorUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetColorProc(storage: LONGINT; whichColor: ColorType; color: PMColorPtr; userRoutine: PickerSetColorUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerEventProc(storage: LONGINT; VAR data: EventData; userRoutine: PickerEventUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerEditProc(storage: LONGINT; VAR data: EditData; userRoutine: PickerEditUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetVisibilityProc(storage: LONGINT; visible: BOOLEAN; userRoutine: PickerSetVisibilityUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerDisplayProc(storage: LONGINT; userRoutine: PickerDisplayUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerItemHitProc(storage: LONGINT; VAR data: ItemHitData; userRoutine: PickerItemHitUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetBaseItemProc(storage: LONGINT; baseItem: INTEGER; userRoutine: PickerSetBaseItemUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetProfileProc(storage: LONGINT; userRoutine: PickerGetProfileUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetProfileProc(storage: LONGINT; profile: CMProfileHandle; userRoutine: PickerSetProfileUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetPromptProc(storage: LONGINT; VAR prompt: Str255; userRoutine: PickerGetPromptUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetPromptProc(storage: LONGINT; prompt: Str255; userRoutine: PickerSetPromptUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetIconDataProc(storage: LONGINT; VAR data: PickerIconData; userRoutine: PickerGetIconDataUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerGetEditMenuStateProc(storage: LONGINT; VAR mState: PickerMenuState; userRoutine: PickerGetEditMenuStateUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}

FUNCTION CallPickerSetOriginProc(storage: LONGINT; where: Point; userRoutine: PickerSetOriginUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}
{$ENDC}
{$IFC FOR_SYSTEM7_AND_SYSTEM8_DEPRECATED }
FUNCTION PickerExtractHelpItem(storage: LONGINT; itemNo: INTEGER; whichMsg: INTEGER; VAR helpInfo: HelpItemInfo): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, $0013, $7000, $A82A;
	{$ENDC}

TYPE
	PickerExtractHelpItemProcPtr = ProcPtr;  { FUNCTION PickerExtractHelpItem(storage: LONGINT; itemNo: INTEGER; whichMsg: INTEGER; VAR helpInfo: HelpItemInfo): ComponentResult; }

	PickerExtractHelpItemUPP = UniversalProcPtr;

CONST
	uppPickerExtractHelpItemProcInfo = $00003AF0;

FUNCTION NewPickerExtractHelpItemProc(userRoutine: PickerExtractHelpItemProcPtr): PickerExtractHelpItemUPP;
	{$IFC NOT GENERATINGCFM }
	INLINE $2E9F;
	{$ENDC}

FUNCTION CallPickerExtractHelpItemProc(storage: LONGINT; itemNo: INTEGER; whichMsg: INTEGER; VAR helpInfo: HelpItemInfo; userRoutine: PickerExtractHelpItemUPP): ComponentResult;
	{$IFC NOT GENERATINGCFM}
	INLINE $205F, $4E90;
	{$ENDC}
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := ColorPickerComponentsIncludes}

{$ENDC} {__COLORPICKERCOMPONENTS__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
