{
 	File:		DeviceManagerSupport.p
 
 	Contains:	Device Manager Interfaces.
 
 	Version:	Technology:	Sustem 7.5 and 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT DeviceManagerSupport;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __DEVICEMANAGERSUPPORT__}
{$SETC __DEVICEMANAGERSUPPORT__ := 1}

{$I+}
{$SETC DeviceManagerSupportIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __CONDITIONALMACROS__}
{$I ConditionalMacros.p}
{$ENDC}
{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __DEVICES__}
{$I Devices.p}
{$ENDC}
{$IFC UNDEFINED __CODEFRAGMENTS__}
{$I CodeFragments.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{  callback function to family from IOCommandIsComplete }

TYPE
	IOCompleteEntryPointPtr = ProcPtr;  { FUNCTION IOCompleteEntryPointPtr(ID: IOCommandID; result: OSErr; thePB: ParmBlkPtr): OSErr; C; }

FUNCTION RegisterDoDriverIO(VAR theID: IOCommandID; thePB: ParmBlkPtr; returnAddr: IOCompleteEntryPointPtr): OSErr; C;
FUNCTION IOCommandIsComplete(theID: IOCommandID; theResult: OSErr): OSErr; C;
FUNCTION GetIOCommandInfo(theID: IOCommandID; VAR theContents: IOCommandContents; VAR theCommand: IOCommandCode; VAR theKind: IOCommandKind): OSErr; C;
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := DeviceManagerSupportIncludes}

{$ENDC} {__DEVICEMANAGERSUPPORT__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
