{
 	File:		FileTransferTools.p
 
 	Contains:	CommToolbox File Transfer Tools Interfaces.
 
 	Version:	Technology:	System 7.5
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT FileTransferTools;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __FILETRANSFERTOOLS__}
{$SETC __FILETRANSFERTOOLS__ := 1}

{$I+}
{$SETC FileTransferToolsIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __DIALOGS__}
{$I Dialogs.p}
{$ENDC}
{$IFC UNDEFINED __FILETRANSFERS__}
{$I FileTransfers.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM7_ONLY }

CONST
																{  DEFs  }
	fdefType					= 'fdef';
	fsetType					= 'fset';
	fvalType					= 'fval';
	flocType					= 'floc';
	fscrType					= 'fscr';
	fbndType					= 'fbnd';
	fverType					= 'vers';

																{  control  }
	ftInitMsg					= 0;
	ftDisposeMsg				= 1;
	ftSuspendMsg				= 2;
	ftResumeMsg					= 3;
	ftMenuMsg					= 4;
	ftEventMsg					= 5;
	ftActivateMsg				= 6;
	ftDeactivateMsg				= 7;
	ftGetErrorStringMsg			= 8;
	ftAbortMsg					= 52;
	ftStartMsg					= 100;
	ftExecMsg					= 102;
	ftSendMsg					= 103;
	ftReceiveMsg				= 104;							{  setup  }
	ftSpreflightMsg				= 0;
	ftSsetupMsg					= 1;
	ftSitemMsg					= 2;
	ftSfilterMsg				= 3;
	ftScleanupMsg				= 4;							{  validate  }
	ftValidateMsg				= 0;

	ftDefaultMsg				= 1;							{  scripting  }
	ftMgetMsg					= 0;
	ftMsetMsg					= 1;							{  localization  }
	ftL2English					= 0;
	ftL2Intl					= 1;


TYPE
	FTSetupStructPtr = ^FTSetupStruct;
	FTSetupStruct = RECORD
		theDialog:				DialogPtr;								{  the dialog form the application  }
		count:					INTEGER;								{  first appended item  }
		theConfig:				Ptr;									{  the config record to setup  }
		procID:					INTEGER;								{  procID of the tool  }
	END;

	FTSetupPtr							= ^FTSetupStruct;
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := FileTransferToolsIncludes}

{$ENDC} {__FILETRANSFERTOOLS__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
