{
 	File:		HIControlTypes.p
 
 	Version:	Technology:	Copland
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT HIControlTypes;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __HICONTROLTYPES__}
{$SETC __HICONTROLTYPES__ := 1}

{$I+}
{$SETC HIControlTypesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN POWER}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }
{  Generic code sent for a control change }

CONST
	kHIStateChangeControlSelected = 'cnsl';
	kHIStateChangeControlValueChanged = 'cnvl';

{
 Adornment allows buttons to have slightly different
 appearance when they are default or cancel items.
 These adornments can be masked together.
}

TYPE
	HIAdornment							= OptionBits;

CONST
	kHIDefaultAdornment			= $00000001;
	kHICancelAdornment			= $00000002;


TYPE
	HIControlBehavior					= UInt32;

CONST
	kHIMomentaryBehavior		= 0;
	kHIToggleBehavior			= 1;
	kHIDeterminateBehavior		= 0;							{  Progress indicator behavior }
	kHIIndeterminateBehavior	= 1;

	kHIUncheckedValue			= 0;							{  Values for a bevel button or check box }
	kHICheckedValue				= 1;
	kHIOffValue					= 0;							{  Values for radio button }
	kHIOnValue					= 1;
	kHIMixedValue				= 2;							{  Used by all tri-state controls }
	kHINonDisclosedValue		= 0;							{  Values for disclosure triangle }
	kHIDisclosedValue			= 1;

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := HIControlTypesIncludes}

{$ENDC} {__HICONTROLTYPES__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
