{
 	File:		HIListTypes.p
 
 	Version:	Technology:	Copland
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT HIListTypes;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __HILISTTYPES__}
{$SETC __HILISTTYPES__ := 1}

{$I+}
{$SETC HIListTypesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN POWER}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }

TYPE
	HIMenu = ^LONGINT;
	HIItemAttributes					= UInt32;
	HIItemState							= UInt32;
	HIItemIndex							= UInt32;

CONST
	kHIFirstItem				= $00000000;
	kHILastItem					= $FFFFFFFF;
	kHIEveryItem				= $FFFFFFFE;
	kHIInvalidItem				= $FFFFFFFD;

	kHIItemIsSelected			= $80000000;
	kHIItemIsDisabled			= $40000000;

	kHIItemIsSeparator			= $00000001;

	kHIStateChangeItemSelected	= 'slct';

	kHIItemEnableHilite			= $01;
	kHIItemEnableText			= $02;
	kHIItemEnableMark			= $04;
	kHIItemEnableIcon			= $08;
	kHIItemEnableCommand		= $10;
	kHIItemEnableNone			= $00;
	kHIItemEnableAll			= $FF;

																{  Use the following with HIMenu::SetItemAccelerator }
	kHIAcceleratorCommand		= $01;
	kHIAcceleratorShift			= $02;
	kHIAcceleratorCapsLock		= $04;
	kHIAcceleratorOption		= $08;
	kHIAcceleratorControl		= $10;
	kHIAcceleratorNone			= $00;

	kHIMenuGridHasBorder		= $01;


TYPE
	HIMenuGridOptions					= OptionBits;
	HIMenuGridPtr = ^HIMenuGrid;
	HIMenuGrid = RECORD
		rows:					UInt16;
		rowHeight:				UInt16;
		columns:				UInt16;
		columnWidth:			UInt16;
		options:				HIMenuGridOptions;
	END;

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := HIListTypesIncludes}

{$ENDC} {__HILISTTYPES__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
