{
 	File:		NuBus.p
 
 	Contains:	NuBus I/O Interfaces 
 
 	Version:	Technology:	xxx Put version info here xxx
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT NuBus;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __NUBUS__}
{$SETC __NUBUS__ := 1}

{$I+}
{$SETC NuBusIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __SLOTS__}
{$I Slots.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }
{
 *
 * kSpaceCode -
 *
 * Bitfield definitions for the "reg" and "assigned-adderesses"
 * properties found in the device portion of the NameRegistry
 *
}

CONST
	kSpaceCodeMask				= $03000000;
	kSpaceCodeMem64				= $03000000;
	kSpaceCodeMem32				= $02000000;
	kSpaceCodeIO				= $01000000;
	kSpaceCodeConfig			= $00000000;
	kDeviceCodeMask				= $000000FF;


TYPE
	EncodeInt							= UInt32;
	EncodePhysPtr = ^EncodePhys;
	EncodePhys = RECORD
		hi:						EncodeInt;
		mid:					EncodeInt;
		lo:						EncodeInt;
	END;

	EncodeSizePtr = ^EncodeSize;
	EncodeSize = RECORD
		hi:						EncodeInt;
		lo:						EncodeInt;
	END;

{
 * PropertyReg & PropertyAssignedAddresses -
 *
 * The struct format definitions for the "reg" and
 * "assigned-addresses" NameRegistry properties.
 *
}
	PropertyRegPtr = ^PropertyReg;
	PropertyReg = RECORD
		phys:					EncodePhys;
		size:					EncodeSize;
	END;

	MotherboardRegPtr = ^MotherboardReg;
	MotherboardReg = RECORD
		base:					EncodeInt;
		length:					EncodeInt;
	END;

{
 * Family service category and name declarations
 * (that's it for now)
 *
}

CONST
	kServiceCategoryNuBus		= 'nbus';

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := NuBusIncludes}

{$ENDC} {__NUBUS__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
