{
 	File:		RTC.p
 
 	Contains:	User-mode API
 
 	Version:	Technology:	System 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT RTC;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __RTC__}
{$SETC __RTC__ := 1}

{$I+}
{$SETC RTCIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __KERNEL__}
{$I Kernel.p}
{$ENDC}
{$IFC UNDEFINED __TIMEOBJECTS__}
{$I TimeObjects.p}
{$ENDC}
{$IFC UNDEFINED __SYNCHRONIZATION__}
{$I Synchronization.p}
{$ENDC}
{$IFC UNDEFINED __IOITERATOR__}
{$I IOIterator.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }

CONST
	kRTCFamilyVersionOne		= $01;
	kRTCFamilyCurrentVersion	= $01;


TYPE
	RTCTimerID = ^LONGINT;
	RTCIOIteratorDataPtr = ^RTCIOIteratorData;
	RTCIOIteratorData = RECORD
		IOCI:					IOCommonInfo;
		reserved:				ARRAY [0..2] OF UInt32;
	END;

FUNCTION RTCCancelTimer(timerID: RTCTimerID): OSStatus; C;
FUNCTION RTCSetTimer({CONST}VAR notifier: KernelNotification; VAR timerID: RTCTimerID; nanoseconds: Nanoseconds): OSStatus; C;
FUNCTION RTCSet(nanoseconds: Nanoseconds): OSStatus; C;
FUNCTION RTCGet(VAR nanoseconds: Nanoseconds): OSStatus; C;
FUNCTION RTCGetDeviceData(want: ByteCount; VAR got: ByteCount; VAR deviceArray: RTCIOIteratorData): OSStatus; C;
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := RTCIncludes}

{$ENDC} {__RTC__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
