{
 	File:		SNSRegistry.p
 
 	Contains:	System Notification Service Registry of services and kinds.
 
 	Version:	Technology:	System 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT SNSRegistry;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __SNSREGISTRY__}
{$SETC __SNSREGISTRY__ := 1}

{$I+}
{$SETC SNSRegistryIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }

CONST
	kSNSDeathNotificationService = 'deth';						{   0x64657468   }
	kSNSFSNotificationService	= 'file';						{   0x66696c65   }

	kSNSProcessKind				= 'proc';						{   0x70726f63   }
	kSNSKernelProcessKind		= 'kprc';						{   0x6b707263   }
	kSNSTaskKind				= 'task';						{   0x7461736b   }

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := SNSRegistryIncludes}

{$ENDC} {__SNSREGISTRY__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
