{
 	File:		SegLoad.p
 
 	Contains:	Segment Loader Interfaces.
 
 	Version:	Technology:	System 7.5
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT SegLoad;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __SEGLOAD__}
{$SETC __SEGLOAD__ := 1}

{$I+}
{$SETC SegLoadIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM7_ONLY }
{$IFC NOT GENERATINGCFM }
{
 CountAppFiles, GetAppFiles, ClrAppFiles, GetAppParms, getappparms, 
 and the AppFile data structure and enums are obsolete. 
 They are still supported for writing old style 68K apps, 
 but they are not supported for CFM-based apps.
 Use AppleEvents to determine which files are to be 
 opened or printed from the Finder.
}

CONST
	appOpen						= 0;							{ Open the Document (s) }
	appPrint					= 1;							{ Print the Document (s) }


TYPE
	AppFilePtr = ^AppFile;
	AppFile = RECORD
		vRefNum:				INTEGER;
		fType:					OSType;
		versNum:				INTEGER;								{ versNum in high byte }
		fName:					Str255;
	END;

PROCEDURE CountAppFiles(VAR message: INTEGER; VAR count: INTEGER);
PROCEDURE GetAppFiles(index: INTEGER; VAR theFile: AppFile);
PROCEDURE ClrAppFiles(index: INTEGER);
PROCEDURE GetAppParms(VAR apName: Str255; VAR apRefNum: INTEGER; VAR apParam: Handle);
	{$IFC NOT GENERATINGCFM}
	INLINE $A9F5;
	{$ENDC}
{$ENDC}
{
 Because PowerPC applications dont have segments,
 UnloadSeg is unsupported for PowerPC.
}
{$IFC GENERATING68K }
PROCEDURE UnloadSeg(routineAddr: UNIV Ptr);
	{$IFC NOT GENERATINGCFM}
	INLINE $A9F1;
	{$ENDC}
{$ELSEC}
{$ENDC}
{$ENDC}
{$IFC OLDROUTINELOCATIONS }
PROCEDURE ExitToShell;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9F4;
	{$ENDC}
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := SegLoadIncludes}

{$ENDC} {__SEGLOAD__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
