{
 	File:		TextEngines.p
 
 	Version:	Technology:	System 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT TextEngines;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __TEXTENGINES__}
{$SETC __TEXTENGINES__ := 1}

{$I+}
{$SETC TextEnginesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __QUICKDRAW__}
{$I QuickDraw.p}
{$ENDC}
{$IFC UNDEFINED __TEXTENGINETYPES__}
{$I TextEngineTypes.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }
FUNCTION GetNewTextEngineBySignature(theEngineSignature: TextEngineID; VAR theEngine: TSystemTextEnginePtr): OSStatus; C;
FUNCTION GetNewTextEngineByClassName(VAR className: Str32; majorVersion: SInt32; minorVersion: SInt32; VAR theTextEngine: TSystemTextEnginePtr): OSStatus; C;
FUNCTION GetSystemTextEngineInstance(VAR theTextEngine: TSystemTextEnginePtr): OSStatus; C;
FUNCTION FindTextEngine(VAR theDesiredFeatures: TextEngineFeature; nFeatures: ItemCount; VAR theTextEngine: TSystemTextEnginePtr): OSStatus; C;
FUNCTION IsFeatureSupported(theEngineSignature: TextEngineID; theDesiredFeature: TextEngineFeature; VAR isSupported: BOOLEAN): OSStatus; C;
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := TextEnginesIncludes}

{$ENDC} {__TEXTENGINES__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
