{
 	File:		Tokenize.p
 
 	Contains:	Text Services Manager Tokenizer interfaces
 
 	Version:	Technology:	System 8.0
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT Tokenize;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __TOKENIZE__}
{$SETC __TOKENIZE__ := 1}

{$I+}
{$SETC TokenizeIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __TEXTOBJECTS__}
{$I TextObjects.p}
{$ENDC}
{$IFC UNDEFINED __TEXTSERVICES__}
{$I TextServices.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }

CONST
	kTKNNoControlFlags			= 0;
	kTKNSplitTextStreamFlag		= 1;

{
 *
 * Tokenize Functions 
 *
}
FUNCTION TKNSetTextRun(context: TSMContext; run: TextObject): OSStatus; C;
FUNCTION TKNGetTextRun(context: TSMContext; run: TextObject): OSStatus; C;
FUNCTION TKNGetNextToken(context: TSMContext; token: TextObject): OSStatus; C;
FUNCTION TKNGetTokenPosition(context: TSMContext; VAR theStart: TextObjectIndex; VAR theEnd: TextObjectIndex): OSStatus; C;
FUNCTION TKNSetControlFlags(context: TSMContext; controlFlags: LONGINT): OSStatus; C;
FUNCTION TKNGetControlFlags(context: TSMContext; VAR controlFlags: LONGINT): OSStatus; C;
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := TokenizeIncludes}

{$ENDC} {__TOKENIZE__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
