{
 	File:		UserInput.p
 
 	Contains:	User Input Event Services API
 
 	Version:	Technology:	System 8.0
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT UserInput;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __USERINPUT__}
{$SETC __USERINPUT__ := 1}

{$I+}
{$SETC UserInputIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __KERNEL__}
{$I Kernel.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }
FUNCTION GetApplicationUserInterfaceCapable(id: KernelProcessID; VAR hasUI: BOOLEAN): OSStatus; C;
FUNCTION SetApplicationUserInterfaceCapable(hasUI: BOOLEAN): OSStatus; C;
FUNCTION GetApplicationFrontClicksSetting(id: KernelProcessID; VAR getFrontClicks: BOOLEAN): OSStatus; C;
FUNCTION SetApplicationFrontClicksSetting(getFrontClicks: BOOLEAN): OSStatus; C;
FUNCTION GetApplicationBackgroundOnly(id: KernelProcessID; VAR backgroundOnly: BOOLEAN): OSStatus; C;
FUNCTION SetApplicationBackgroundOnly(backgroundOnly: BOOLEAN): OSStatus; C;
FUNCTION InstallIntoApplicationList(hasUI: BOOLEAN; getFrontClicks: BOOLEAN; backgroundOnly: BOOLEAN): OSStatus; C;
FUNCTION GetFrontApplication(VAR id: KernelProcessID): OSStatus; C;
FUNCTION SetFrontApplication(id: KernelProcessID): OSStatus; C;
FUNCTION GetUserInputFocus(VAR focus: KernelProcessID): OSStatus; C;
FUNCTION SetUserInputFocus(focus: KernelProcessID): OSStatus; C;
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := UserInputIncludes}

{$ENDC} {__USERINPUT__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
