{
 	File:		ADBPlugin.p
 
 	Version:	Technology:	
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT ADBPlugin;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __ADBPLUGIN__}
{$SETC __ADBPLUGIN__ := 1}

{$I+}
{$SETC ADBPluginIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __ADB__}
{$I ADB.p}
{$ENDC}

{$PUSH}
{$ALIGN POWER}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }
{
------------------------------------------------------------------------------------
  Calls exported by the Family
------------------------------------------------------------------------------------
}
PROCEDURE ADBFamRequestComplete(theStatus: OSStatus); C;
PROCEDURE ADBFamAutopollArrived(deviceAddress: ByteParameter; {CONST}VAR contents: ADBRegisterContents); C;
{
------------------------------------------------------------------------------------
  Plugin Dispatch Table
------------------------------------------------------------------------------------
}

TYPE
	ADBPluginInitProc = ProcPtr;  { FUNCTION ADBPluginInitProc: OSStatus; C; }

	ADBPluginSetAutopollDelayProc = ProcPtr;  { FUNCTION ADBPluginSetAutopollDelayProc(delay: Duration): OSStatus; C; }

	ADBPluginGetAutopollDelayProc = ProcPtr;  { FUNCTION ADBPluginGetAutopollDelayProc(VAR delay: Duration): OSStatus; C; }

	ADBPluginSetAutopollListProc = ProcPtr;  { FUNCTION ADBPluginSetAutopollListProc(addressMask: UInt16): OSStatus; C; }

	ADBPluginGetAutopollListProc = ProcPtr;  { FUNCTION ADBPluginGetAutopollListProc(VAR addressMask: UInt16): OSStatus; C; }

	ADBPluginAutopollEnableProc = ProcPtr;  { FUNCTION ADBPluginAutopollEnableProc: OSStatus; C; }

	ADBPluginAutopollDisableProc = ProcPtr;  { FUNCTION ADBPluginAutopollDisableProc: OSStatus; C; }

	ADBPluginResetBusProc = ProcPtr;  { FUNCTION ADBPluginResetBusProc: OSStatus; C; }

	ADBPluginFlushProc = ProcPtr;  { FUNCTION ADBPluginFlushProc(deviceAddress: ByteParameter): OSStatus; C; }

	ADBPluginSetRegisterProc = ProcPtr;  { FUNCTION ADBPluginSetRegisterProc(deviceAddress: ByteParameter; registerNumber: ByteParameter; (CONST)VAR contents: ADBRegisterContents): OSStatus; C; }

	ADBPluginGetRegisterProc = ProcPtr;  { FUNCTION ADBPluginGetRegisterProc(deviceAddress: ByteParameter; registerNumber: ByteParameter; VAR contents: ADBRegisterContents): OSStatus; C; }

	ADBPluginSetKeyboardListProc = ProcPtr;  { FUNCTION ADBPluginSetKeyboardListProc(addressMask: UInt16): OSStatus; C; }


CONST
	kADBPluginVersion			= $44332211;
	kADBPluginCurrentVersion	= $44332211;


TYPE
	ADBPluginHeaderPtr = ^ADBPluginHeader;
	ADBPluginHeader = RECORD
		version:				UInt32;
		reserved1:				UInt32;
		reserved2:				UInt32;
		reserved3:				UInt32;
	END;

	ADBPluginDispatchTablePtr = ^ADBPluginDispatchTable;
	ADBPluginDispatchTable = RECORD
		header:					ADBPluginHeader;
		Init:					ADBPluginInitProc;
		SetAutopollDelay:		ADBPluginSetAutopollDelayProc;
		GetAutopollDelay:		ADBPluginGetAutopollDelayProc;
		SetAutopollList:		ADBPluginSetAutopollListProc;
		GetAutopollList:		ADBPluginGetAutopollListProc;
		AutopollEnable:			ADBPluginAutopollEnableProc;
		AutopollDisable:		ADBPluginAutopollDisableProc;
		ResetBus:				ADBPluginResetBusProc;
		Flush:					ADBPluginFlushProc;
		SetRegister:			ADBPluginSetRegisterProc;
		GetRegister:			ADBPluginGetRegisterProc;
		SetKeyboardList:		ADBPluginSetKeyboardListProc;
	END;

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := ADBPluginIncludes}

{$ENDC} {__ADBPLUGIN__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
