{
 	File:		HIEmbeddingPanelTypes.p
 
 	Version:	Technology:	Copland
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT HIEmbeddingPanelTypes;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __HIEMBEDDINGPANELTYPES__}
{$SETC __HIEMBEDDINGPANELTYPES__ := 1}

{$I+}
{$SETC HIEmbeddingPanelTypesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __HIOBJECTTYPES__}
{$I HIObjectTypes.p}
{$ENDC}

{$PUSH}
{$ALIGN POWER}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }

TYPE
	HISubPanelIndex						= UInt32;

CONST
	kHIInsertSubPanelAtFront	= 0;
	kHIAppendSubPanelToEnd		= $FFFFFFFF;
	kHINoSubPanel				= $FFFFFFFE;

{  additional adoption flags for subpanels }
	kHIAdoptShowHide			= $00010000;
	kHIAdoptEnable				= $00020000;
	kHIDefaultSubPanelAdoptionFlags = $00010001;


TYPE
	HIFrameBindingFlags					= UInt32;

CONST
	kHIBindToTop				= $0001;
	kHIBindToBottom				= $0002;
	kHIBindToLeft				= $0004;
	kHIBindToRight				= $0008;
	kHIDefaultFrameBindingFlags	= $0005;
	kHINoFrameBindingFlags		= $0000;

	errHISubPanelCannotReleaseUserInputFocus = -1;				{  Error codes  Get real values! }
	errHISubPanelCannotTakeUserInputFocus = -1;


TYPE
	HIAccumulatorOperation				= UInt32;

CONST
	kHIInvalidateRectangleForErasure = 0;
	kHIValidateRectangleForErasure = 1;

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := HIEmbeddingPanelTypesIncludes}

{$ENDC} {__HIEMBEDDINGPANELTYPES__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
