{
 	File:		HIImagingObjectTypes.p
 
 	Version:	Technology:	Copland
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT HIImagingObjectTypes;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __HIIMAGINGOBJECTTYPES__}
{$SETC __HIIMAGINGOBJECTTYPES__ := 1}

{$I+}
{$SETC HIImagingObjectTypesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN POWER}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }

TYPE
	HIImageRef = ^LONGINT;
	ConstHIImageRef						= HIImageRef;
	HIImageOptions						= OptionBits;
	HIImageType							= OSType;

CONST
	kHIImageTypeIcon			= 'icon';
	kHIImageTypePattern			= 'patt';
	kHIImageTypePicture			= 'pict';
	kHIImageTypeText			= 'txto';
	kHIImageTypeComposite		= 'comp';

{  apply to all imaging objects }
																{  You may combine one horizontal alignment option with one vertical alignment option }
																{  The following horizontal alignment options are mutually exclusive }
	kHIImageOptionAlignLeft		= $00000001;
	kHIImageOptionAlignRight	= $00000002;
	kHIImageOptionAlignHorizontalCenter = $00000003;			{  The following vertical alignment options are mutually exclusive }
	kHIImageOptionAlignTop		= $00000004;
	kHIImageOptionAlignBottom	= $00000008;
	kHIImageOptionAlignVerticalCenter = $0000000C;				{  The following are NOT mutually exclusive }
	kHIImageOptionJustified		= $00000010;
	kHIImageOptionSelected		= $00000020;					{  persistent state  }
	kHIImageOptionHilited		= $00000040;					{  transient state, while tracking  }
	kHIImageOptionDisabled		= $00000080;
	kHIImageOptionOffline		= $00000100;
	kHIImageOptionOpen			= $00000200;

{  apply to text imaging objects }
	kHITextImageOptionElideEnd	= $00010000;
	kHITextImageOptionElideBeginning = $00020000;
	kHITextImageOptionElideNever = $00030000;

																{   TEMPORARY, in case any one is using this these. Please use the real names!!! }
	kHIIconImageOptionDisabled	= $00000080;
	kHIIconImageOptionOffline	= $00000100;
	kHIIconImageOptionOpen		= $00000200;
	kHIIconImageOptionSelected	= $00000020;

																{   TEMPORARY, in case any one is using these. Please use the real names!!! }
	kHITextImageOptionJustify	= $00000010;
	kHITextImageOptionCondense	= 0;							{  Defunct; subsumed by TextStrikeRef  }

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := HIImagingObjectTypesIncludes}

{$ENDC} {__HIIMAGINGOBJECTTYPES__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
