{
 	File:		HIObjectTypes.p
 
 	Version:	Technology:	Copland
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT HIObjectTypes;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __HIOBJECTTYPES__}
{$SETC __HIOBJECTTYPES__ := 1}

{$I+}
{$SETC HIObjectTypesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN POWER}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }

TYPE
	Environment = ^LONGINT;
	HIObject = ^LONGINT;
	HIStateChangeCodeCreator			= OSType;

CONST
	kHIObjectAppleCreator		= 'aapl';


TYPE
	HIStateChangeCode					= OSType;

CONST
	kHIStateChangeObjectBoundsChanging = 'bnd1';
	kHIStateChangeObjectBoundsChanged = 'bnd2';
	kHIStateChangeObjectVisibilityChanging = 'vis1';
	kHIStateChangeObjectVisibilityChanged = 'vis2';


TYPE
	HIStateChangeCallbackProcPtr = ProcPtr;  { PROCEDURE HIStateChangeCallback(VAR ev: Environment; selectorCreator: HIStateChangeCodeCreator; whatHappened: HIStateChangeCode; VAR theObject: HIObject); C; }

	HIStateChangeCallbackRef = ^LONGINT;
{  current version of the initializer data structure }

CONST
	kCurrentHIObjectInitializerVersion = 1;


TYPE
	HIAdoptionFlags						= OptionBits;

CONST
	kHINoAdoptionFlags			= $0000;
	kHIAdoptDispose				= $0001;
	kHIDefaultImageRefAdoptionFlags = $0001;


TYPE
	HIDrawingMode						= OptionBits;

CONST
	kHIDrawNextUpdateEvent		= $00000000;					{  default }
	kHIDrawImmediately			= $00000001;
	kHIDeferDrawing				= $00000002;


TYPE
	HICoordinateSystem					= OSType;

CONST
	kHICoordScreenRelative		= 'scrn';						{  global coordinates }
	kHICoordPortRelative		= 'port';
	kHICoordObjectRelative		= 'obj ';


TYPE
	HIUserInputFocusFlags				= OptionBits;

CONST
	kHICanTakeUserInputFocus	= $00000001;
	kHITakesUserInputFocusWhenClicked = $00000002;


TYPE
	HIClipboardSupportFlags				= OptionBits;

CONST
	kHISupportsCut				= $00000001;
	kHISupportsCopy				= $00000002;
	kHISupportsPaste			= $00000003;
	kHISupportsClear			= $00000004;


TYPE
	HIAERecordDataFormat				= OptionBits;

CONST
	kHIUseResourceReferences	= $00000000;
	kHIFlattenAllData			= $00000001;
	kHISimpleValuesOnly			= $00000002;

	errHIObjectHasInvalidState	= -1;							{  returned by verify if panel is internally messed up }
	errHIObjectAllocation		= -1;							{  could not allocate SOM object }
	errHINoObjectWithThisRefLabel = -1;							{  no existing HIObject with this id }

	keyHISubclassInitializer	= 'scls';

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := HIObjectTypesIncludes}

{$ENDC} {__HIOBJECTTYPES__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
