{
 	File:		KeyTranslation.p
 
 	Version:	Technology:	System 8.0
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT KeyTranslation;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __KEYTRANSLATION__}
{$SETC __KEYTRANSLATION__ := 1}

{$I+}
{$SETC KeyTranslationIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __KEYBOARD__}
{$I Keyboard.p}
{$ENDC}
{$IFC UNDEFINED __LOCALEOBJECTS__}
{$I LocaleObjects.p}
{$ENDC}
{$IFC UNDEFINED __TEXTINPUTSYSTEM__}
{$I TextInputSystem.p}
{$ENDC}
{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_COOPERATIVE }

TYPE
	KeyTranslationContextRef = ^LONGINT;
	KeyTranslationObjectRef				= LocaleObjectRef;
FUNCTION NewKeyTranslationContext(VAR contextRef: KeyTranslationContextRef; translationObject: KeyTranslationObjectRef): OSStatus; C;
FUNCTION DisposeKeyTranslationContext(VAR contextRef: KeyTranslationContextRef): OSStatus; C;
FUNCTION TranslateVirtualKeyCode(contextRef: KeyTranslationContextRef; keycode: ByteParameter; VAR character: UInt16): OSStatus; C;
FUNCTION TranslateVirtualKeyCodeBuffer(contextRef: KeyTranslationContextRef; {CONST}VAR keycodeBuffer: VirtualKeyCode; keycodeBufferSize: UInt32; VAR characterBuffer: UInt16; characterBufferSize: UInt32): OSStatus; C;
{$ENDC}
{  FOR_SYSTEM8_COOPERATIVE }
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := KeyTranslationIncludes}

{$ENDC} {__KEYTRANSLATION__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
