{
 	File:		OrderedItems.p
 
 	Contains:	xxx put contents here xxx
 
 	Version:	Technology:	System 8.0
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT OrderedItems;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __ORDEREDITEMS__}
{$SETC __ORDEREDITEMS__ := 1}

{$I+}
{$SETC OrderedItemsIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM8_PREEMPTIVE }

TYPE
	OrderedItemService					= OSType;
	OrderedItemSignature				= OSType;

CONST
	kMatchAnyOrderedItemService	= '****';
	kMatchAnyOrderedItemSignature = '****';
	kDoNotMatchAnyOrderedItemService = '----';
	kDoNotMatchAnyOrderedItemSignature = '----';


TYPE
	OrderedItemNamePtr = ^OrderedItemName;
	OrderedItemName = RECORD
		service:				OrderedItemService;
		signature:				OrderedItemSignature;
	END;

	OrderedItemOptions					= OptionBits;

CONST
	kOrderedItemIsRightBefore	= $00000001;
	kOrderedItemIsRightAfter	= $00000002;


TYPE
	OrderRequirementsPtr = ^OrderRequirements;
	OrderRequirements = RECORD
		options:				OrderedItemOptions;
		itemBefore:				OrderedItemName;
		itemAfter:				OrderedItemName;
	END;

{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := OrderedItemsIncludes}

{$ENDC} {__ORDEREDITEMS__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
