{
 	File:		QuickdrawText.p
 
 	Contains:	Quickdraw Text Interfaces.
 
 	Version:	Technology:	System 7.5
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT QuickdrawText;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __QUICKDRAWTEXT__}
{$SETC __QUICKDRAWTEXT__ := 1}

{$I+}
{$SETC QuickdrawTextIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{$IFC UNDEFINED __MIXEDMODE__}
{$I MixedMode.p}
{$ENDC}
{$IFC UNDEFINED __SCRIPTLAYOUT__}
{$I ScriptLayout.p}
{$ENDC}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

{$IFC FOR_SYSTEM7_AND_SYSTEM8_COOPERATIVE }

TYPE
	FontInfoPtr = ^FontInfo;
	FontInfo = RECORD
		ascent:					INTEGER;
		descent:				INTEGER;
		widMax:					INTEGER;
		leading:				INTEGER;
	END;

PROCEDURE TextFont(font: INTEGER);
	{$IFC NOT GENERATINGCFM}
	INLINE $A887;
	{$ENDC}
PROCEDURE TextFace(face: StyleParameter);
	{$IFC NOT GENERATINGCFM}
	INLINE $A888;
	{$ENDC}
PROCEDURE TextMode(mode: INTEGER);
	{$IFC NOT GENERATINGCFM}
	INLINE $A889;
	{$ENDC}
PROCEDURE TextSize(size: INTEGER);
	{$IFC NOT GENERATINGCFM}
	INLINE $A88A;
	{$ENDC}
PROCEDURE SpaceExtra(extra: Fixed);
	{$IFC NOT GENERATINGCFM}
	INLINE $A88E;
	{$ENDC}
PROCEDURE DrawChar(ch: CharParameter);
	{$IFC NOT GENERATINGCFM}
	INLINE $A883;
	{$ENDC}
PROCEDURE DrawString(s: Str255);
	{$IFC NOT GENERATINGCFM}
	INLINE $A884;
	{$ENDC}
PROCEDURE DrawText(textBuf: UNIV Ptr; firstByte: INTEGER; byteCount: INTEGER);
	{$IFC NOT GENERATINGCFM}
	INLINE $A885;
	{$ENDC}
FUNCTION CharWidth(ch: CharParameter): INTEGER;
	{$IFC NOT GENERATINGCFM}
	INLINE $A88D;
	{$ENDC}
FUNCTION StringWidth(s: Str255): INTEGER;
	{$IFC NOT GENERATINGCFM}
	INLINE $A88C;
	{$ENDC}
FUNCTION TextWidth(textBuf: UNIV Ptr; firstByte: INTEGER; byteCount: INTEGER): INTEGER;
	{$IFC NOT GENERATINGCFM}
	INLINE $A886;
	{$ENDC}
PROCEDURE MeasureText(count: INTEGER; textAddr: UNIV Ptr; charLocs: UNIV Ptr);
	{$IFC NOT GENERATINGCFM}
	INLINE $A837;
	{$ENDC}
PROCEDURE GetFontInfo(VAR info: FontInfo);
	{$IFC NOT GENERATINGCFM}
	INLINE $A88B;
	{$ENDC}
PROCEDURE CharExtra(extra: Fixed);
	{$IFC NOT GENERATINGCFM}
	INLINE $AA23;
	{$ENDC}
PROCEDURE StdText(count: INTEGER; textAddr: UNIV Ptr; numer: Point; denom: Point);
	{$IFC NOT GENERATINGCFM}
	INLINE $A882;
	{$ENDC}
FUNCTION StdTxMeas(byteCount: INTEGER; textAddr: UNIV Ptr; VAR numer: Point; VAR denom: Point; VAR info: FontInfo): INTEGER;
	{$IFC NOT GENERATINGCFM}
	INLINE $A8ED;
	{$ENDC}
{$ENDC}
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := QuickdrawTextIncludes}

{$ENDC} {__QUICKDRAWTEXT__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
